pxsearch(1)

NAME
pxsearch - Search image neighborhoods for pixels.

SYNOPSIS
pxsearch InputImage

DESCRIPTION
This tool reads an image file, as well as a list of pixel coordinates from standard input. For each pixel, a local neighbourhood in the image is searched for the maximum value. The location of the maximum is then written to standard output.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Main Options

--input-coordinates
    Coordinate specification mode for program input. Supported values: "absolute", "indexed", "relative", "physical", where the default is "absolute", or use one of the following:

    --absolute
        Use absolute volume coordinates. For each dimension, the valid range is [0,FOV]. [This is the default]

    --indexed
        Use grid indexes to specify coordinates. For each dimension, the valid value range is [0,Dims-1].

    --relative
        Use relative volume coordinates. For each dimension, the valid range is [0,1].

    --physical
        Use physical volume coordinates. Each given location is transformed into image coordinates via the inverse of the images's index-to-physical space matrix.

--output-coordinates
    Coordinate specification mode for program output. Supported values: "absolute", "indexed", "relative", "physical", where the default is "absolute", or use one of the following:

    --absolute
        Use absolute volume coordinates. For each dimension, the valid range is [0,FOV]. [This is the default]

    --indexed
        Use grid indexes to specify coordinates. For each dimension, the valid value range is [0,Dims-1].

    --relative
        Use relative volume coordinates. For each dimension, the valid range is [0,1].

    --physical
        Use physical volume coordinates. Each given location is transformed into image coordinates via the inverse of the images's index-to-physical space matrix.

--radius <string>
    Radius of the search region in pixels (specified either as triple "rX,rY,rZ", or a single value, "rXYZ"). The region searched is [2*rX+1,2*rY+1,2*rZ+1] pixels large, centered at the input location (but cropped at the image boundary). [Default: 1 ]

--no-reorient
    Disable image reorientation into RAS alignment.

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.